com.aliyun.svideosdk.common.struct.project

## Class VideoTrackClip

- java.lang.Object
- - TrackClip
  - - com.aliyun.svideosdk.common.struct.project.VideoTrackClip

-     public class VideoTrackClip
      extends TrackClip

  视频素材片段 v3.23.0 新增

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `mNodeKey` 模板节点索引key
    `static int` | `TYPE_IMAGE`
    `static int` | `TYPE_VIDEO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoTrackClip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ActionBase>` | `getActions()` 获取动效列表
    `float` | `getBrightness()` 获取亮度。默认：0.5f
    `float` | `getContrast()` 获取对比度。默认：0.25f
    `float` | `getDuration()` 获取素材片段的时长，一般在素材类型是图片时使用。单位：秒
    `java.util.List<Effect>` | `getEffects()` 获取效果列表
    `int` | `getHeight()` 获取片段资源高度
    `boolean` | `getHorizontalFlip()` 获取水平翻转值
    `float` | `getIn()` 获取素材片段相对于素材的入点，在素材类型是音视频时使用。单位：秒
    `java.lang.String` | `getNodeKey()`
    `float` | `getOut()` 获取素材片段相对于素材的出点，在素材类型是音视频时使用。单位：秒
    `int` | `getRotation()` 获取素材旋转角度
    `float` | `getSaturation()` 获取饱和度。默认：0.5f
    `float` | `getSharpness()` 获取锐度。默认：0f
    `Source` | `getSource()` 获取素材资源
    `TransitionBase` | `getTransition()` 获取转场动画
    `int` | `getType()` 获取素材片段类型
    `float` | `getVignette()` 获取暗角。默认：0f
    `int` | `getWidth()` 获取片段资源宽度
    `boolean` | `isFileExists()` 判断资源文件是否存在
    `boolean` | `isHorizontalFlip()` 是否水平镜像翻转。默认 false
    `void` | `setBrightness(float brightness)` 设置亮度。默认：0.5f
    `void` | `setContrast(float contrast)` 设置对比度。默认：0.25f
    `void` | `setDuration(float duration)` 设置素材片段的时长，一般在素材类型是图片时使用。单位：秒
    `void` | `setHeight(int height)` 设置片段资源高度
    `void` | `setHorizontalFlip(boolean flip)` 设置是否水平镜像翻转。
    `void` | `setIn(float in)` 设置获取素材片段相对于素材的入点，在素材类型是音视频时使用。单位：秒
    `void` | `setNodeKey(java.lang.String key)`
    `void` | `setOut(float out)` 设置素材片段相对于素材的出点，在素材类型是音视频时使用。单位：秒
    `void` | `setRotation(int rotation)` 设置素材旋转角度
    `void` | `setSaturation(float saturation)` 设置饱和度。默认：0.5f
    `void` | `setSharpness(float sharpness)` 设置锐度。默认：0f
    `void` | `setSource(Source source)` 设置素材资源
    `void` | `setTransition(TransitionBase transition)` 设置转场动画
    `void` | `setType(int type)` 设置素材片段类型
    `void` | `setVignette(float vignette)` 设置暗角。默认：0f
    `void` | `setWidth(int width)` 设置片段资源宽度

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_VIDEO

          public static final int TYPE_VIDEO

      See Also:
        Constant Field Values

    - #### TYPE_IMAGE

          public static final int TYPE_IMAGE

      See Also:
        Constant Field Values

    - #### mNodeKey

          protected java.lang.String mNodeKey

      模板节点索引key

  - ### Constructor Detail

    - #### VideoTrackClip

          public VideoTrackClip()

  - ### Method Detail

    - #### getActions

          public java.util.List<ActionBase> getActions()

      获取动效列表
      Returns:
        动效列表

    - #### getType

          public int getType()

      获取素材片段类型
      Returns:
        材片段类型

    - #### setType

          public void setType(int type)

      设置素材片段类型
      Parameters:
        `type` - 片段类型

    - #### getSource

          public Source getSource()

      获取素材资源
      Returns:
        素材资源

    - #### setSource

          public void setSource(Source source)

      设置素材资源
      Parameters:
        `source` - 素材资源

    - #### getIn

          public float getIn()

      获取素材片段相对于素材的入点，在素材类型是音视频时使用。单位：秒
      Returns:
        切入点

    - #### setIn

          public void setIn(float in)

      设置获取素材片段相对于素材的入点，在素材类型是音视频时使用。单位：秒
      Parameters:
        `in` - 切入点

    - #### getOut

          public float getOut()

      获取素材片段相对于素材的出点，在素材类型是音视频时使用。单位：秒
      Returns:
        切出点

    - #### setOut

          public void setOut(float out)

      设置素材片段相对于素材的出点，在素材类型是音视频时使用。单位：秒
      Parameters:
        `out` - 切出点

    - #### getDuration

          public float getDuration()

      获取素材片段的时长，一般在素材类型是图片时使用。单位：秒
      Returns:
        素材片段的时长

    - #### setDuration

          public void setDuration(float duration)

      设置素材片段的时长，一般在素材类型是图片时使用。单位：秒
      Parameters:
        `duration` - 素材片段的时长

    - #### getWidth

          public int getWidth()

      获取片段资源宽度
      Returns:
        资源宽度

    - #### setWidth

          public void setWidth(int width)

      设置片段资源宽度
      Parameters:
        `width` - 资源宽度

    - #### getHeight

          public int getHeight()

      获取片段资源高度
      Returns:
        资源高度

    - #### setHeight

          public void setHeight(int height)

      设置片段资源高度
      Parameters:
        `height` - 资源高度

    - #### getRotation

          public int getRotation()

      获取素材旋转角度
      Returns:
        旋转角度

    - #### setRotation

          public void setRotation(int rotation)

      设置素材旋转角度
      Parameters:
        `rotation` - 素材旋转角度

    - #### getBrightness

          public float getBrightness()

      获取亮度。默认：0.5f
      Returns:
        亮度

    - #### setBrightness

          public void setBrightness(float brightness)

      设置亮度。默认：0.5f
      Parameters:
        `brightness` - 亮度

    - #### getContrast

          public float getContrast()

      获取对比度。默认：0.25f
      Returns:
        对比度

    - #### setContrast

          public void setContrast(float contrast)

      设置对比度。默认：0.25f
      Parameters:
        `contrast` - 对比度

    - #### getVignette

          public float getVignette()

      获取暗角。默认：0f
      Returns:
        暗角

    - #### setVignette

          public void setVignette(float vignette)

      设置暗角。默认：0f
      Parameters:
        `vignette` - 暗角

    - #### getSaturation

          public float getSaturation()

      获取饱和度。默认：0.5f
      Returns:
        饱和度

    - #### setSaturation

          public void setSaturation(float saturation)

      设置饱和度。默认：0.5f
      Parameters:
        `saturation` - 饱和度

    - #### getSharpness

          public float getSharpness()

      获取锐度。默认：0f
      Returns:
        锐度

    - #### setSharpness

          public void setSharpness(float sharpness)

      设置锐度。默认：0f
      Parameters:
        `sharpness` - 锐度

    - #### isHorizontalFlip

          public boolean isHorizontalFlip()

      是否水平镜像翻转。默认 false
      Returns:
        是否水平镜像翻转

    - #### setHorizontalFlip

          public void setHorizontalFlip(boolean flip)

      设置是否水平镜像翻转。
      Parameters:
        `flip` - 是否翻转

    - #### getHorizontalFlip

          public boolean getHorizontalFlip()

      获取水平翻转值
      Returns:
        翻转值

    - #### getEffects

          public java.util.List<Effect> getEffects()

      获取效果列表
      Returns:
        效果列表

    - #### getTransition

          public TransitionBase getTransition()

      获取转场动画
      Returns:
        转场动画

    - #### setTransition

          public void setTransition(TransitionBase transition)

      设置转场动画
      Parameters:
        `transition` - 转场动画

    - #### isFileExists

          public boolean isFileExists()

      判断资源文件是否存在
      Returns:
        是否存在

    - #### getNodeKey

          public java.lang.String getNodeKey()

    - #### setNodeKey

          public void setNodeKey(java.lang.String key)